{
  description = "pyansi";
  inputs = {
    nixpkgs = {
      url = "github:nixos/nixpkgs/nixos-unstable";
    };
    flake-utils = {
      url = "github:numtide/flake-utils";
    };
    make-shell = {
      url = "github:ursi/nix-make-shell";
    };
  };
  outputs = {
    self,
    nixpkgs,
    flake-utils,
    make-shell,
  } @ inputs:
    flake-utils.lib.eachDefaultSystem
    (
      system: let
        version = self.lastModifiedDate;
        pkgs = import nixpkgs {
          inherit system;
        };
        make-shell = import inputs.make-shell {
          inherit system pkgs;
        };
      in {
        devShells.default = let
          python = pkgs.python311.withPackages (
            ps:
              with ps; [
                # poetry-core
              ]
          );
          project = "pyansi";
        in
          make-shell {
            packages = [
              python
              pkgs.poetry
            ];
            env = {
              NIX_PROJECT = project;
            };
          };
      }
    );
}
